{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends '_layout.html.twig' %}
{% import '_includes/macros.html.twig' as appMacros %}
{% block title %}Utilisateurs{% endblock %}
{% set _breadcrumb = ['Administration', 'Utilisateurs'] %}

{% block content %}
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <a href="{{ path('user.add', {id: organization ? organization.id : null}) }}" class="btn btn-primary pull-right"><span class="fa fa-user"></span> Nouvel utilisateur</a>
        <h1>Utilisateurs{% if organization %} <small>{{ organization.name }}</small>{% endif %}</h1>
    </section>
    <section class="content">
        <!-- /.row -->
        <div class="row">
            <div class="col-xs-12">
                <div class="box">
                    <div class="box-body no-padding">
                        {{ form_start(list.form, {'action': app.request.pathinfo, 'method': 'GET'}) }}
                        <table class="table table-responsive table-hover m-b-0">
                            <thead>
                                <tr>
                                    {{ knp_pagination_sortable(list.pagination, 'Nom - Prénom', 'u.lastName') }}
                                    {{ knp_pagination_sortable(list.pagination, 'Structure', 'o.name') }}
                                    {{ knp_pagination_sortable(list.pagination, 'Rôle', 'u.role') }}
                                    {{ knp_pagination_sortable(list.pagination, 'Email', 'u.email') }}
                                    {{ knp_pagination_sortable(list.pagination, 'Connexion', 'lastLogin') }}
                                    {{ knp_pagination_sortable(list.pagination, 'Statut', 'u.enabled', {'style': 'width: 1px;'}) }}
                                </tr>
                            </thead>
                            <tbody>
                                <tr class="table-filters">
                                    <td>{{ form_widget(list.form.fullName, {'attr': {'class': 'input-sm'}}) }}</td>
                                    <td>{{ form_widget(list.form.organization, {'attr': {'class': 'input-sm'}}) }}</td>
                                    <td>{{ form_widget(list.form.role, {'attr': {'class': 'input-sm'}}) }}</td>
                                    <td>{{ form_widget(list.form.email, {'attr': {'class': 'input-sm'}}) }}</td>
                                    <td>{{ form_widget(list.form.lastLogin, {'attr': {'disabled': 'disabled', 'class': 'input-sm'}}) }}</td>
                                    <td>{{ form_widget(list.form.status, {'attr': {'class': 'input-sm'}}) }}</td>
                                </tr>
                                {% for user in list.items %}
                                    <tr>
                                        <td>
                                            <a href="{{ path('user.edit', {id: user.0.id}) }}">{{ user.0.reverseFullName }}</a>
                                        </td>
                                        {% if user.0.organization is defined and user.0.organization | length > 0 %}
                                            <td><a href="{{ path('organization.edit', {id: user.0.organization.id}) }}">{{ user.0.organization.name }}</a></td>
                                        {% else %}
                                            <td></td>
                                        {% endif %}
                                        <td>{{ appMacros.role_label(user.0.role) }}</td>
                                        <td><a href="mailto:{{ user.0.email }}">{{ user.0.email }}</a></td>
                                        <td>
                                            {% if user.lastLogin is not null %}
                                                <span class="text-muted">{{ (user.lastLogin | moment).calendar() | capitalize }}</span>
                                            {% endif %}
                                        </td>
                                        <td><span class="label label-{{ user.0.accountStatus.class }}">{{ user.0.accountStatus.label }}</td>
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                        {{ form_end(list.form) }}
                    </div>

                    {% if list.pagination | length == 0 %}
                        <div class="blankslate blankslate-spacious">
                            <h3>Aucun utilisateur ne correspond à votre recherche.</h3>
                            <p>Dommage :( Mais vous pouvez <a href="{{ path('user.add') }}">créer un utilisateur</a> !</p>
                        </div>
                    {% endif %}

                    <!-- /.box-body -->
                    <div class="box-footer">
                        <!-- Single button -->
                        <div class="btn-group">
                            <button type="button" class="btn btn-default btn-sm dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <span class="fa fa-download"></span> Télécharger <span class="caret"></span>
                            </button>
                            <ul class="dropdown-menu">
                                <li><a href="{{ path('user.export') }}">Liste des producteurs</a></li>
                                <li><a href="{{ path('user.loginExport') }}" data-toggle="modal-remote">Rapport de connexion</a></li>
                            </ul>
                        </div>
                        {{ knp_pagination_render(list.pagination, null, [], {class: "pagination-sm no-margin pull-right"}) }}
                    </div>
                </div>
                <!-- /.box -->
            </div>
        </div>
    </section>
{% endblock %}
